Subject: Re: [net-next PATCH v11 9/9] net: phy: Add Airoha AN8855 Internal Switch Gigabit PHY

From: Christian Marangi <[email-masked]>
Date: Tue, 10 Dec 2024 13:10:45 +0100

On Tue, Dec 10, 2024 at 02:36:29AM +0100, Andrew Lunn wrote:
> > +config AIR_AN8855_PHY
> > +	tristate "Airoha AN8855 Internal Gigabit PHY"
> > +	help
> > +	  Currently supports the internal Airoha AN8855 Switch PHY.
> > +
> >  config AIR_EN8811H_PHY
> >  	tristate "Airoha EN8811H 2.5 Gigabit PHY"
> >  	help
> 
> Do you have any idea why the new one is AN, and previous one is EN?  I
> just like consistent naming, or an explanation why it is not
> consistent.
>

EN EcoNet that was then absorbed by Airoha (AN). Hence it's the same
thing. Airoha is suggesting to use AN for new submission. So it's just
about timing.

> > +#define AN8855_PHY_ID				0xc0ff0410
> > +static struct phy_driver an8855_driver[] = {
> > +{
> > +	PHY_ID_MATCH_EXACT(AN8855_PHY_ID),
> 
> Is there any documentation about the ID, and the lower nibble. Given
> it is 0, i'm wondering if PHY_ID_MATCH_EXACT() is correct.
>

I will check this but I doubt there is any explaination. These are internal
to the switch so my theory is that no exact logic was applied.

-- 
	Ansuel